Bug 1315852 - Review Request: gstreamermm1 - C++ wrapper for GStreamer library
Review Request: gstreamermm1 - C++ wrapper for GStreamer library
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Haïkel Guémar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-08 13:59 EST by Ankur Sinha (FranciscoD)
Modified: 2016-06-14 09:46 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ankur Sinha (FranciscoD) 2016-03-08 13:59:27 EST
Spec URL: https://ankursinha.fedorapeople.org/gstreamermm1/gstreamermm1.spec
SRPM URL: https://ankursinha.fedorapeople.org/gstreamermm1/gstreamermm1-1.4.3-1.fc25.src.rpm

Description: 
This package contains developer's documentation for the GStreamermm
library. Gstreamermm is the C++ API for the GStreamer library.

The documentation can be viewed either through the devhelp
documentation browser or through a web browser.


Fedora Account System Username: ankursinha
Comment 1 hguemar 2016-06-05 16:15:27 EDT
@Ankur: I missed the notification of the previous ticket, since no packages inside Fedora depends directly on gstreamermm (except subtitleeditor which you maintain), I suggest that we just update the gstreamermm package in F24+, I'll be glad to add you as co-maintainer.
Comment 2 Ankur Sinha (FranciscoD) 2016-06-06 03:54:41 EDT
Hiya,

Yeah, sure. Whatever requires least effort :)

Will we need to change the package name to gstreamermm1 etc? Sorry - I'm not up to date with what upstream's doing and how things are versioned currently.

Cheers!
Comment 3 hguemar 2016-06-07 14:08:01 EDT
No, we can keep the old name. Changing name is only required for //-installable packages which is not needed here.
Comment 4 Bruno Wolff III 2016-06-08 14:08:03 EDT
However you guys checked dependencies is wrong and this change broke lordsofwar. Are yiu guys planning on doing a compat package for 0.10? Or provide info on how to convert a program to switch from 0.10 to 1.4?
Comment 5 hguemar 2016-06-10 08:07:41 EDT
Only gstreamer-devel and subtitleeditor appeared when using dnf repoquery.
Build was pushed only in rawhide but I'll provide you a patch for lordsawar quite soon. 

http://koji.fedoraproject.org/koji/packageinfo?packageID=6269

As for F24, I'll send an heads-up on the devel list before we change anything.
Comment 6 Bruno Wolff III 2016-06-10 11:41:42 EDT
Thanks for help you can provide for lordsawar.

I think it is too late to do this upgrade in f24 unless perhaps you add a compatibility package. (https://fedoraproject.org/wiki/Updates_Policy#Stable_Releases)

It looks like what happened on the check is that on x86_64 the requirement is on the 64 bit version and doing a repoquery without that limitation does show a hit. If you check:
repoquery --whatrequires 'libgstreamer-0.10.so.0()(64bit)'
which I suspect will also get hit by this change, you get several other packages besides lordsawar that you'll probably want to check.
Comment 7 hguemar 2016-06-11 09:06:28 EDT
In this case, there are only two packages depending on gstreamermm which are subtitleeditor and lordsawar. We have a fix for lordsawar and this package was requested by subtitleeditor, so it's pretty much self-contained.
I don't mind having a compat package but it'll be short-lived and nobody else is actually using on F24.

dnf repoquery --whatrequires 'libgstreamermm-0.10.so.2()(64bit)'
gstreamermm-devel-0:0.10.11-9.fc24.x86_64
lordsawar-0:0.3.0-2.fc24.x86_64
subtitleeditor-0:0.41.0-8.fc23.x86_64

Nonetheless, I can keep it rawhide-only too, maybe Ankur has a different opinion?
Comment 8 Ankur Sinha (FranciscoD) 2016-06-14 09:46:53 EDT
Hiya,

That may work - although it'd be nice to have subtitle editor working for the stable branches too. I haven't received any complaints yet, so maybe there aren't too many people using the tool at the moment..

Note You need to log in before you can comment on or make changes to this bug.